Skip to main content

Get All Riskbits

Using this API, will return the list of riskbit details.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/riskbits/

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/kobilriskbits/resources-auth/
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

No request body fields are required

Response​

Field NameTypeDescription
riskbitsList of ObjectIt returns all riskbits under tenant.
ratingLevelStringRating level of risk
scoreStringScore of the risk.
riskStringRisk name.
riskAndroidStringAndroid risk name.
riskIOSStringiOS risk name.
operationStringRisk operation name
realmIdStringTenant name

Sample Response​

[
{
"id": "ff618226-074b-4d42-8ec4-b9f18f8b2a39",
"ratingLevel" : "A",
"score":"986-999",
"risk" :"0.80",
"riskAndroid":"",
"riskIOS":"",
"operation":"OK",
"realmId": "demokc"
},
{
"id": "22f1bd6e-3cc4-44d4-aeea-c6d0cf7dd9d6",
"ratingLevel" : "E",
"score":"949-961",
"risk" :"4.38",
"riskAndroid":"JBreak",
"riskIOS":"JBreak",
"operation":"OK",
"realmId": "demokc"
}
]

Response Status Information​

Status CodeStatusMessage
200OKSuccessfully created
401UnauthorizedHTTP 401 Unauthorized.